# dist-automl
# file specification：
1. training_manager.py
    Training service program
2. web_service.py
    Machine learning application server program
3. encrypt_Wallet.py
    Crypto wallet application

# Prepare data
## image classification
   + Training images (Task 1 & 2) 
    （https://image-net.org/data/ILSVRC/2012/ILSVRC2012_img_train.tar） MD5: 1d675b47d97888974fa0da5fadfb00e
   + Validation images (all tasks) 
    （https://image-net.org/data/ILSVRC/2012/ILSVRC2012_img_val.tar） MD5: 2922e2961454d5413ddabcf34fc5622
   + directory structure
     /mnt/imagenet  
        |--train 
        |--val
## install image
cp preparedata.sh /mnt
./preparedata.sh

## Binocular parallax estimation
   + FlyingThings3D
    https://lmb.informatik.uni-freiburg.de/data/SceneFlowDatasets_CVPR16/Release_april16/data/FlyingThings3D/raw_data/flyingthings3d__frames_cleanpass.tar.torrent
    https://lmb.informatik.uni-freiburg.de/data/SceneFlowDatasets_CVPR16/Release_april16/data/FlyingThings3D/derived_data/flyingthings3d__disparity.tar.bz2.torrent
   + Driving
    https://lmb.informatik.uni-freiburg.de/data/SceneFlowDatasets_CVPR16/Release_april16/data/Driving/raw_data/driving__frames_cleanpass.tar.torrent
    https://lmb.informatik.uni-freiburg.de/data/SceneFlowDatasets_CVPR16/Release_april16/data/Driving/derived_data/driving__disparity.tar.bz2.torrent
   + Monkaa
    https://lmb.informatik.uni-freiburg.de/data/SceneFlowDatasets_CVPR16/Release_april16/data/Monkaa/raw_data/monkaa__frames_cleanpass.tar
    https://lmb.informatik.uni-freiburg.de/data/SceneFlowDatasets_CVPR16/Release_april16/data/Monkaa/derived_data/monkaa__disparity.tar.bz2
   + directory structure
    /mnt/SceneFlow  
        |--FlyingThings3D 
        |--Monkaa 
        |--Driving 


# Installation dependency
    pip install requirements.txt

# Start service
    streamlit run training_manager.py 
    streamlit run web_service.py 
    streamlit run encrypt_Wallet.py

