import os
import streamlit as st
import string
import secrets
from pyDes import des, CBC, PAD_PKCS5
import binascii


def des_encrypt(s,secret_key):
    """ 
    DES encryption 
    :param s: indicates the original character string
    :return: an encrypted character string in hexadecimal
    """
   #secret_key = KEY # password 
    iv = secret_key # offset 
    # secret_key: encryption key, CBC: encryption mode, iv: offset, padmode: fill 
    des_obj = des(secret_key, CBC, iv, pad=None, padmode=PAD_PKCS5) 
    # returns bytes 
    secret_bytes = des_obj.encrypt(s, padmode=PAD_PKCS5) 
    # returns in hexadecimal 
    return binascii.b2a_hex(secret_bytes)
def des_descrypt(s,secret_key):
    """ 
    DES decryption 
    :param s: an encrypted character string in hexadecimal 
    :return: indicates the decrypted string 
    """
    #secret_key = KEY
    iv = secret_key
    des_obj = des(secret_key, CBC, iv, pad=None, padmode=PAD_PKCS5)
    decrypt_str = des_obj.decrypt(binascii.a2b_hex(s), padmode=PAD_PKCS5)
    return decrypt_str

st.title('Encrypt your wallet')
wallet = st.text_input('Address', '',placeholder='Enter your wallet address.')


pwd_input = st.empty()
g_pwd = pwd_input.text_input('Password', '',placeholder='No input required')

text_area = st.empty()
enWallet = text_area.text_area('Encrypted wallet', wallet,disabled=True,height=100 )
def encryptWallet(pwd):
    enValue = des_encrypt(wallet,pwd)
    tt = text_area.text_area('Encrypted wallet',value=str(enValue.decode()), )
    return tt

button1 = st.button('encrypt')
if button1:
    if(wallet == ''):
        st.error('invalid wallet address!', icon="🚨")
    else:
        alphanum = string.ascii_letters + string.digits
        password = ''.join(secrets.choice(alphanum) for i in range(8))
        g_pwd = pwd_input.text_input('Password', password)
        enWallet = encryptWallet(password)
        st.write("Encrypted wallet:",enWallet)
